package cn.com.countrygarden.bi.main.service;

import cn.com.countrygarden.bi.main.model.MarketingContract;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.MarketingUploadFile;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;
import org.apache.poi.ss.usermodel.Workbook;

import java.util.List;

public interface MarketingContractService extends Service<MarketingContract> {
    Workbook processingExcelValue(Workbook workbook, MarketingUploadFile uploadFile, TbSysUser sysUser);

    MarketingContract findByUk(int commId);
    MarketingContract findLastContract();
    MarketingContract sumThisYear();
    List<MarketingContract> tendency();
    List<MarketingContract> ranking(int limit);
    MarketingContract sumLastWeek(int interval);
    List<MarketingContract> sumThisYearByCorpType();
    List<MarketingContract> sumThisYearByProjectType();
    List<MarketingContract> rankingByOrgan(int season, int offset, int limit);

    List<MarketingContract> listProjectByOrgan(int organId, int season);

    List<MarketingContract> search(String search, String state, String projectType, String corpType, String after, String before, int offset, int limit);
    boolean softDelete(int id, TbSysUser sysUser);
}
